<?php
if (isset($_GET['id'])) {
    // Preluăm identificatorul din URL
    $id = $_GET['id'];

    // Validăm identificatorul (opțional, verificăm dacă este UUID sau alt format)
    if (!preg_match('/^[a-f0-9]{32}$/', $id)) {
        echo "Identificator non valido.";
        exit;
    }

    // Construim URL-ul final (aici poți decide ce faci cu identificatorul)
    // De exemplu, îl trimiți la o altă destinație:
    $finalURL = $_SERVER['HTTP_HOST'] . "/fatturazioneelettronica/aruba.it/?id=" . urlencode($id);

    // Redirecționăm utilizatorul către URL-ul final
    header("Location: https://$finalURL");
    exit;
}

// Dacă nu există 'id' în URL, afișăm un mesaj de eroare
echo "Errore durante l'accesso al link.";
exit;
?>
